%define gst_plugins gst-plugins
%define ver_major 0.10

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

Name: %gst_plugins-ugly
Version: %ver_major.8
Release: alt0.M41.2
Summary: A set of encumbered GStreamer plugins
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: gstreamer >= 0.10.6
Requires: lib%gst_plugins >= 0.10.3

Obsoletes: %gst_plugins-a52dec <= %version
Obsoletes: %gst_plugins-dvdread <= %version
Obsoletes: %gst_plugins-lame <= %version
Obsoletes: %gst_plugins-mad <= %version
Obsoletes: %gst_plugins-mpeg2dec <= %version
Obsoletes: %gst_plugins-sidplay <= %version
Obsoletes: %name-all <= %version
Obsoletes: %name-audio-formats <= %version
Obsoletes: %name-container-formats <= %version
Obsoletes: %name-subtitle <= %version

Provides: %gst_plugins-a52dec = %version-%release
Provides: %gst_plugins-dvdread = %version-%release
Provides: %gst_plugins-lame = %version-%release
Provides: %gst_plugins-mad = %version-%release
Provides: %gst_plugins-mpeg2dec = %version-%release
Provides: %gst_plugins-sidplay = %version-%release
Provides: %name-all = %version-%release
Provides: %name-audio-formats = %version-%release
Provides: %name-container-formats = %version-%release
Provides: %name-subtitle = %version-%release

Source: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Thu Feb 21 2008
BuildRequires: gcc-c++ gnome-libs-devel gst-plugins-devel gtk-doc liba52-devel libdvdread-devel libid3tag-devel
BuildRequires: liblame-devel libmad-devel libmpeg2-devel liboil-devel python-module-PyXML
BuildRequires: python-modules-email python-modules-encodings

BuildRequires: rpm-build-compat >= 0.95

%description
GStreamer Ugly Plug-ins is a set of plug-ins that have good quality
and correct functionality, but distributing them might pose problems.
The license on either the plug-ins or the supporting
libraries might not be how the developers would like.
The code might be widely known to present patent problems.

%package devel-doc
Summary: Development documentation for GStreamer Ugly plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Ugly plugin
collection.

%prep
%setup -q

%build
export AUTOPOINT=true
%autoreconf
%configure \
    --disable-examples \
    --enable-gtk-doc \
    --disable-static \
    --with-html-dir=%_gtk_docdir
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS NEWS README RELEASE
%dir %_gst_libdir
%_gst_libdir/*.so

%files devel-doc
%_gtk_docdir/%name-plugins-%ver_major

%changelog
* Tue Sep 23 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10.8-alt0.M41.2
- rebuild to fix altbug #16703

* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10.8-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sat May 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt3
- rebuild

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt2
- join together subpackage

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt1
- 0.10.7
- spec cleanup
- update build dependencies

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.6-alt1
- 0.10.5 -> 0.10.6

* Thu Feb 22 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Thu Aug 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4

* Mon Apr 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Added -subtitle package for dvdsub

* Wed Feb 22 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Added dvdread
- Added asfdemux to container-formats

* Mon Feb 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Initial release for Sisyphus after the plugin split of 0.9
